// Web3DView.h : interface of the CWeb3DView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_WEB3DVIEW_H__FBC50BD9_D668_43DD_89F1_2438D9DCB8D3__INCLUDED_)
#define AFX_WEB3DVIEW_H__FBC50BD9_D668_43DD_89F1_2438D9DCB8D3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CWeb3DView : public CView
{
protected: // create from serialization only
	CWeb3DView();
	DECLARE_DYNCREATE(CWeb3DView)

// Attributes
public:
	CWeb3DDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWeb3DView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWeb3DView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CWeb3DView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Web3DView.cpp
inline CWeb3DDoc* CWeb3DView::GetDocument()
   { return (CWeb3DDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WEB3DVIEW_H__FBC50BD9_D668_43DD_89F1_2438D9DCB8D3__INCLUDED_)
